Bug 249973 - segfault when trying to auto-complete
segfault when trying to auto-complete
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yafc (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 16:11 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2007-07-28 16:11:10 EDT
Description of problem:
When logged into my server via `yafc sftp://lewk.org`, I am able to reproduce
the following backtrace when typing <space><tab> at the yafc prompt.

yafc lewk.org:~>
Program received signal SIGSEGV, Segmentation fault.
0x4208d473 in strlen () from /lib/libc.so.6
(gdb) bt
#0  0x4208d473 in strlen () from /lib/libc.so.6
#1  0x0804e287 in find_cmd (cmd=0x0) at commands.c:106
#2  0x0804e8da in find_func (cmd=0x0, print_error=false) at commands.c:258
#3  0x0804efdd in the_complete_function (text=0x89ed088 "", start=1, end=1)
    at completion.c:382
#4  0x42b84bed in gen_completion_matches (text=0x89ed088 "", start=1, end=0, 
    our_func=0x804eea0 <no_completion_function>, found_quote=0, 
    quote_char=144625817) at ../complete.c:963
#5  0x42b85f3e in rl_complete_internal (what_to_do=9) at ../complete.c:1669
#6  0x42b863cc in rl_complete (ignore=1, invoking_key=9) at ../complete.c:355
#7  0x42b7e5df in _rl_dispatch_subseq (key=9, map=0x42ba3180, got_subseq=0)
    at ../readline.c:737
#8  0x42b7e9a4 in _rl_dispatch (key=9, map=0x42ba3180) at ../readline.c:687
#9  0x42b7ed45 in readline_internal_char () at ../readline.c:519
#10 0x42b7f197 in readline (prompt=0x89e3c60 "yafc lewk.org:~> ")
    at ../readline.c:545
#11 0x08053d0b in input_read_string (prompt=0x89e3c60 "yafc lewk.org:~> ")
    at input.c:32
#12 0x0804c6d5 in command_loop () at cmd.c:106
#13 0x0804b994 in main (argc=2, argv=Cannot access memory at address 0x4
) at main.c:459
#14 0x42034f70 in __libc_start_main (main=0x804b410 <main>, argc=2, 
    ubp_av=0xbf861d14, init=0x8070e10 <__libc_csu_init>, 
    fini=0x8070e00 <__libc_csu_fini>, rtld_fini=0x4200e3d0 <_dl_fini>, 
    stack_end=0xbf861d0c) at libc-start.c:222
#15 0x0804ac91 in _start ()

Version-Release number of selected component (if applicable):
yafc-1.1.1-8.fc7
Comment 1 Bug Zapper 2008-05-14 09:43:42 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:59:57 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.